<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/container"
    android:background="@drawable/app_shape_bottom_dialog_bg"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:layout_marginTop="497dp">

     <TextView
         android:id="@+id/tvTitle"
         app:layout_constraintEnd_toEndOf="parent"
         app:layout_constraintStart_toStartOf="parent"
         app:layout_constraintTop_toTopOf="parent"
         android:textColor="#141C30"
         android:textSize="36sp"
         android:text="手动输入订单号"
         android:layout_marginTop="38dp"
         android:layout_width="wrap_content"
         android:layout_height="wrap_content"/>

     <ImageView
         android:id="@+id/ivClose"
         android:layout_width="40dp"
         android:layout_height="40dp"
         android:layout_marginTop="38dp"
         android:layout_marginEnd="38dp"
         android:padding="7dp"
         android:src="@mipmap/app_icon_close"
         app:layout_constraintEnd_toEndOf="parent"
         app:layout_constraintTop_toTopOf="parent"
         android:layout_marginRight="38dp" />


    <TextView
        android:id="@+id/etNumber"
        android:layout_width="510dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="154dp"
        android:layout_marginStart="46dp"
        android:layout_marginEnd="46dp"
        android:hint="请输入"
        android:textColorHint="#C8C7CC"
        android:gravity="center_horizontal"
        android:textSize="36sp"
        android:textColor="#141C30"
        android:selectAllOnFocus="true"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:layout_width="match_parent"
        android:layout_height="1dp"
        app:layout_constraintStart_toStartOf="@+id/numKeyboard"
        app:layout_constraintEnd_toEndOf="@+id/numKeyboard"
        android:layout_marginTop="12dp"
        android:layout_marginLeft="105dp"
        android:layout_marginRight="105dp"
        android:background="#E6E9EF"
        app:layout_constraintTop_toBottomOf="@+id/etNumber"/>

    <TextView
        android:id="@+id/tvErrInfo"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="输入有误，请检查后重新输入"
        android:textSize="24sp"
        android:textColor="#FF5A59"
        android:visibility="gone"
        android:layout_marginTop="24sp"
        app:layout_constraintStart_toStartOf="@+id/etNumber"
        app:layout_constraintTop_toBottomOf="@+id/etNumber"/>

    <com.fastcashier.lib_common.ui.widget.NumKeyboard
        android:id="@+id/numKeyboard"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        android:layout_width="580dp"
        android:layout_height="450dp"
        android:layout_marginTop="80dp"
        app:layout_constraintTop_toBottomOf="@+id/etNumber" />

</androidx.constraintlayout.widget.ConstraintLayout>